Loading...
Searching...
No Matches
XrdLink.cc File Reference
`#include <poll.h>`
`#include <signal.h>`
`#include <cstdio>`
`#include <cstring>`
`#include <sys/types.h>`
`#include <sys/uio.h>`
`#include "XrdSys/XrdSysAtomics.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysFD.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
`#include "Xrd/XrdBuffer.hh"`
`#include "Xrd/XrdLinkCtl.hh"`
`#include "Xrd/XrdPoll.hh"`
`#include "Xrd/XrdTrace.hh"`
Include dependency graph for XrdLink.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdGlobal

## Macros

#define | ETIME ETIMEDOUT
#define | TRACE_IDENT ID

## Macro Definition Documentation

## ETIME

#define ETIME ETIMEDOUT

Definition at line 74 of file XrdLink.cc.

Referenced by XrdSys::IOEvents::PollPort::Begin(), XrdPfcFSctl::FSctl(), XProtocol::mapError(), XrdLink::Terminate(), and XProtocol::toErrno().

## TRACE_IDENT

#define TRACE_IDENT ID

Definition at line 68 of file XrdLink.cc.